<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: ModelSettings Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../dd/d45/class_model_settings-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ModelSettings Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Model setting class, specific to a project Note this is part of a template created in the GTSBOX toolbox, 'xx' need to be replaced.  
 <a href="../../d5/d81/class_model_settings.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7a0426eaddf6178344e2bf16ccbb66d4"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#a7a0426eaddf6178344e2bf16ccbb66d4">name</a></td></tr>
<tr class="memdesc:a7a0426eaddf6178344e2bf16ccbb66d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the model, string.  <a href="../../d5/d81/class_model_settings.html#a7a0426eaddf6178344e2bf16ccbb66d4">More...</a><br /></td></tr>
<tr class="separator:a7a0426eaddf6178344e2bf16ccbb66d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a349e6d5c7579588443f881ef8da9e830"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#a349e6d5c7579588443f881ef8da9e830">fnHandle</a></td></tr>
<tr class="memdesc:a349e6d5c7579588443f881ef8da9e830"><td class="mdescLeft">&#160;</td><td class="mdescRight">fnHandle to simulate the model. @simulate_Llamosi2016 is the function handle for AMICI  <a href="../../d5/d81/class_model_settings.html#a349e6d5c7579588443f881ef8da9e830">More...</a><br /></td></tr>
<tr class="separator:a349e6d5c7579588443f881ef8da9e830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5620a2bc85b1660f476363cfb702b94"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#af5620a2bc85b1660f476363cfb702b94">constants</a></td></tr>
<tr class="memdesc:af5620a2bc85b1660f476363cfb702b94"><td class="mdescLeft">&#160;</td><td class="mdescRight">Model constants, the parameters values for which sensitivities are not calculated, refers to 'k' in the sym file of AMICI, vector.  <a href="../../d5/d81/class_model_settings.html#af5620a2bc85b1660f476363cfb702b94">More...</a><br /></td></tr>
<tr class="separator:af5620a2bc85b1660f476363cfb702b94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09f984f9ebab0d052a1fcdfe9c22958d"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#a09f984f9ebab0d052a1fcdfe9c22958d">paramNominal</a></td></tr>
<tr class="memdesc:a09f984f9ebab0d052a1fcdfe9c22958d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default values of parameters, vector.  <a href="../../d5/d81/class_model_settings.html#a09f984f9ebab0d052a1fcdfe9c22958d">More...</a><br /></td></tr>
<tr class="separator:a09f984f9ebab0d052a1fcdfe9c22958d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab29b64e6a9681ec5a5d699a7b326ae0b"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#ab29b64e6a9681ec5a5d699a7b326ae0b">paramNames</a></td></tr>
<tr class="memdesc:ab29b64e6a9681ec5a5d699a7b326ae0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Names of parameters, cell array with strings.  <a href="../../d5/d81/class_model_settings.html#ab29b64e6a9681ec5a5d699a7b326ae0b">More...</a><br /></td></tr>
<tr class="separator:ab29b64e6a9681ec5a5d699a7b326ae0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd30e08eef172ed70ad089631bf7b1bc"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#abd30e08eef172ed70ad089631bf7b1bc">tolog</a></td></tr>
<tr class="memdesc:abd30e08eef172ed70ad089631bf7b1bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Log transform parameter values, true or false, if this is true also the model sym file should have the corresponding option in AMICI specified.  <a href="../../d5/d81/class_model_settings.html#abd30e08eef172ed70ad089631bf7b1bc">More...</a><br /></td></tr>
<tr class="separator:abd30e08eef172ed70ad089631bf7b1bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b50afd3649784dd00d4f2913940e71e"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#a6b50afd3649784dd00d4f2913940e71e">obsNames</a></td></tr>
<tr class="memdesc:a6b50afd3649784dd00d4f2913940e71e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of observation, string.  <a href="../../d5/d81/class_model_settings.html#a6b50afd3649784dd00d4f2913940e71e">More...</a><br /></td></tr>
<tr class="separator:a6b50afd3649784dd00d4f2913940e71e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ca492302d6d3a5c58bb3cdd92379793"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#a9ca492302d6d3a5c58bb3cdd92379793">nstates</a></td></tr>
<tr class="memdesc:a9ca492302d6d3a5c58bb3cdd92379793"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of states which need initial conditions  <a href="../../d5/d81/class_model_settings.html#a9ca492302d6d3a5c58bb3cdd92379793">More...</a><br /></td></tr>
<tr class="separator:a9ca492302d6d3a5c58bb3cdd92379793"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45d04f81d6f37b94fd7c39a144a5661c"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#a45d04f81d6f37b94fd7c39a144a5661c">errorModel</a></td></tr>
<tr class="memdesc:a45d04f81d6f37b94fd7c39a144a5661c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error model, cell array with strings for each observable, only 'additive' or 'multiplicative' is supported.  <a href="../../d5/d81/class_model_settings.html#a45d04f81d6f37b94fd7c39a144a5661c">More...</a><br /></td></tr>
<tr class="separator:a45d04f81d6f37b94fd7c39a144a5661c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac53ce71ebbfb09065cb25bd2a795acd2"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#ac53ce71ebbfb09065cb25bd2a795acd2">errorModelinit</a></td></tr>
<tr class="memdesc:ac53ce71ebbfb09065cb25bd2a795acd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initial value for the error model, cell array with vectors, each corresponding to one observable.  <a href="../../d5/d81/class_model_settings.html#ac53ce71ebbfb09065cb25bd2a795acd2">More...</a><br /></td></tr>
<tr class="separator:ac53ce71ebbfb09065cb25bd2a795acd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf325624892ed0c857e316d07694d788"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#acf325624892ed0c857e316d07694d788">abstol</a></td></tr>
<tr class="memdesc:acf325624892ed0c857e316d07694d788"><td class="mdescLeft">&#160;</td><td class="mdescRight">ODE model integration tolerance, intege.  <a href="../../d5/d81/class_model_settings.html#acf325624892ed0c857e316d07694d788">More...</a><br /></td></tr>
<tr class="separator:acf325624892ed0c857e316d07694d788"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41caf252c09cea413103566d9540dba8"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#a41caf252c09cea413103566d9540dba8">rtol</a></td></tr>
<tr class="memdesc:a41caf252c09cea413103566d9540dba8"><td class="mdescLeft">&#160;</td><td class="mdescRight">ODE model integration relative tolerance, integer.  <a href="../../d5/d81/class_model_settings.html#a41caf252c09cea413103566d9540dba8">More...</a><br /></td></tr>
<tr class="separator:a41caf252c09cea413103566d9540dba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37ffbcde20f2de95e259c336af3ee455"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#a37ffbcde20f2de95e259c336af3ee455">t0</a></td></tr>
<tr class="memdesc:a37ffbcde20f2de95e259c336af3ee455"><td class="mdescLeft">&#160;</td><td class="mdescRight">ODE model integration initial time point.  <a href="../../d5/d81/class_model_settings.html#a37ffbcde20f2de95e259c336af3ee455">More...</a><br /></td></tr>
<tr class="separator:a37ffbcde20f2de95e259c336af3ee455"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaf7736a9dbc8850b79fe8b2cb24a60c"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#aaaf7736a9dbc8850b79fe8b2cb24a60c">paramLowerbounds</a></td></tr>
<tr class="memdesc:aaaf7736a9dbc8850b79fe8b2cb24a60c"><td class="mdescLeft">&#160;</td><td class="mdescRight">parameter bounds used for estimation  <a href="../../d5/d81/class_model_settings.html#aaaf7736a9dbc8850b79fe8b2cb24a60c">More...</a><br /></td></tr>
<tr class="separator:aaaf7736a9dbc8850b79fe8b2cb24a60c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9384035162d9caf4a7cc080f5e1cb81d"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#a9384035162d9caf4a7cc080f5e1cb81d">paramUpperbounds</a></td></tr>
<tr class="memdesc:a9384035162d9caf4a7cc080f5e1cb81d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bounds Parameter bounds for individual parameters, vector.  <a href="../../d5/d81/class_model_settings.html#a9384035162d9caf4a7cc080f5e1cb81d">More...</a><br /></td></tr>
<tr class="separator:a9384035162d9caf4a7cc080f5e1cb81d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a221478044df844f4a649de59ac34f4f6"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d81/class_model_settings.html#a221478044df844f4a649de59ac34f4f6">constants_name</a></td></tr>
<tr class="memdesc:a221478044df844f4a649de59ac34f4f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The parameter names for which sensitivities are not calculated, refers to 'k' in the sym file of AMICI, vector.  <a href="../../d5/d81/class_model_settings.html#a221478044df844f4a649de59ac34f4f6">More...</a><br /></td></tr>
<tr class="separator:a221478044df844f4a649de59ac34f4f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Model setting class, specific to a project Note this is part of a template created in the GTSBOX toolbox, 'xx' need to be replaced. </p>
<p>Model setting class, specific to a project Note this is part of a template created in the GTSBOX toolbox. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00004">4</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="acf325624892ed0c857e316d07694d788"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf325624892ed0c857e316d07694d788">&#9670;&nbsp;</a></span>abstol</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::abstol</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ODE model integration tolerance, intege. </p>
<p>ODE model integration absolute tolerance, integer. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00049">49</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="af5620a2bc85b1660f476363cfb702b94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5620a2bc85b1660f476363cfb702b94">&#9670;&nbsp;</a></span>constants</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::constants</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Model constants, the parameters values for which sensitivities are not calculated, refers to 'k' in the sym file of AMICI, vector. </p>
<p>The parameters values for which sensitivities are not calculated, refers to 'k' in the sym file of AMICI, vector.</p>
<p>The parameters values for which sensitivities are not calculated, vector. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00016">16</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="a221478044df844f4a649de59ac34f4f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a221478044df844f4a649de59ac34f4f6">&#9670;&nbsp;</a></span>constants_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::constants_name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The parameter names for which sensitivities are not calculated, refers to 'k' in the sym file of AMICI, vector. </p>
<p>The parameter names for which sensitivities are not calculated, vector. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/dce/_projects_2templates_2_model_settings_8m_source.html#l00021">21</a> of file <a class="el" href="../../dd/dce/_projects_2templates_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="a45d04f81d6f37b94fd7c39a144a5661c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45d04f81d6f37b94fd7c39a144a5661c">&#9670;&nbsp;</a></span>errorModel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::errorModel</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Error model, cell array with strings for each observable, only 'additive' or 'multiplicative' is supported. </p>
<p>Error model, cell array with strings. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00040">40</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="ac53ce71ebbfb09065cb25bd2a795acd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac53ce71ebbfb09065cb25bd2a795acd2">&#9670;&nbsp;</a></span>errorModelinit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::errorModelinit</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initial value for the error model, cell array with vectors, each corresponding to one observable. </p>
<p>Initial value for the error model, cell array with vectors. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00044">44</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="a349e6d5c7579588443f881ef8da9e830"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a349e6d5c7579588443f881ef8da9e830">&#9670;&nbsp;</a></span>fnHandle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::fnHandle</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>fnHandle to simulate the model. @simulate_Llamosi2016 is the function handle for AMICI </p>
<p>function handle to simulate model, function handle starting with "@.." </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00012">12</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="a7a0426eaddf6178344e2bf16ccbb66d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a0426eaddf6178344e2bf16ccbb66d4">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of the model, string. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00008">8</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="a9ca492302d6d3a5c58bb3cdd92379793"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ca492302d6d3a5c58bb3cdd92379793">&#9670;&nbsp;</a></span>nstates</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::nstates</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>number of states which need initial conditions </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00036">36</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="a6b50afd3649784dd00d4f2913940e71e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b50afd3649784dd00d4f2913940e71e">&#9670;&nbsp;</a></span>obsNames</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::obsNames</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of observation, string. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00032">32</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="aaaf7736a9dbc8850b79fe8b2cb24a60c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaf7736a9dbc8850b79fe8b2cb24a60c">&#9670;&nbsp;</a></span>paramLowerbounds</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::paramLowerbounds</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>parameter bounds used for estimation </p>
<p>Bounds Parameter bounds for individual parameters, vector. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00059">59</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="ab29b64e6a9681ec5a5d699a7b326ae0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab29b64e6a9681ec5a5d699a7b326ae0b">&#9670;&nbsp;</a></span>paramNames</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::paramNames</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Names of parameters, cell array with strings. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00024">24</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="a09f984f9ebab0d052a1fcdfe9c22958d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09f984f9ebab0d052a1fcdfe9c22958d">&#9670;&nbsp;</a></span>paramNominal</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::paramNominal</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default values of parameters, vector. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00020">20</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="a9384035162d9caf4a7cc080f5e1cb81d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9384035162d9caf4a7cc080f5e1cb81d">&#9670;&nbsp;</a></span>paramUpperbounds</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::paramUpperbounds</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Bounds Parameter bounds for individual parameters, vector. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00061">61</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="a41caf252c09cea413103566d9540dba8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41caf252c09cea413103566d9540dba8">&#9670;&nbsp;</a></span>rtol</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::rtol</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ODE model integration relative tolerance, integer. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00051">51</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="a37ffbcde20f2de95e259c336af3ee455"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37ffbcde20f2de95e259c336af3ee455">&#9670;&nbsp;</a></span>t0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::t0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ODE model integration initial time point. </p>
<p>ODE integration initial time point, integer. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00055">55</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<a id="abd30e08eef172ed70ad089631bf7b1bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd30e08eef172ed70ad089631bf7b1bc">&#9670;&nbsp;</a></span>tolog</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property ModelSettings::tolog</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Log transform parameter values, true or false, if this is true also the model sym file should have the corresponding option in AMICI specified. </p>
<p>Log transform parameter values, true or false. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00028">28</a> of file <a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Llamosi2016/Model/<a class="el" href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html">ModelSettings.m</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
